package sklep.model;

import java.math.BigDecimal;

public class PotwierdzenieZakupu {
	private final String nazwa;
	private final int sztuk;
	private final BigDecimal doZaplaty;
	private final String nazwaMagazynu;
	
	public PotwierdzenieZakupu(String nazwa, int sztuk, BigDecimal doZaplaty,
			String nazwaMagazynu) {
		super();
		this.nazwa = nazwa;
		this.sztuk = sztuk;
		this.doZaplaty = doZaplaty;
		this.nazwaMagazynu = nazwaMagazynu;
	}

	public String getNazwa() {
		return nazwa;
	}

	public int getSztuk() {
		return sztuk;
	}

	public BigDecimal getDoZaplaty() {
		return doZaplaty;
	}

	public String getNazwaMagazynu() {
		return nazwaMagazynu;
	}

	@Override
	public String toString() {
		return "Zakupiono "+sztuk+" sztuk towaru "+nazwa+" z magazynu "+nazwaMagazynu
				+", kwota do zapłaty "+doZaplaty+".";
	}
}
